API reference OpenAPI 3.1
GET /batch-jobs/{id}

Get batch job

Bearer API key or staff session operation getBatchJob

Parameters

NameInTypeRequiredDescription
id path string Yes —

Request

This endpoint has no request body.

curl "$MONICHEK_API/batch-jobs/{id}" \
  -H "Authorization: Bearer $MONICHEK_API_KEY"
const res = await fetch(`${MONICHEK_API}/batch-jobs/{id}`, {
  method: "GET",
  headers: {
    Authorization: `Bearer ${MONICHEK_API_KEY}`,
  },
});

const data = await res.json();
import os
import requests

res = requests.get(
    f"{os.environ['MONICHEK_API']}/batch-jobs/{id}",
    headers={"Authorization": f"Bearer {os.environ['MONICHEK_API_KEY']}"},
)
print(res.json())
$ch = curl_init(getenv('MONICHEK_API') . '/batch-jobs/{id}');
curl_setopt_array($ch, [
    CURLOPT_RETURNTRANSFER => true,
    CURLOPT_CUSTOMREQUEST => 'GET',
    CURLOPT_HTTPHEADER => [
        'Authorization: Bearer ' . getenv('MONICHEK_API_KEY'),
    ],
]);
$response = curl_exec($ch);
curl_close($ch);
echo $response;

Replace {id} with the resource id.

Responses

200 OK job application/json
{
  "object": "batch_job",
  "id": "bat_01M3R...",
  "status": "queued",
  "total": 1
}

Error responses

StatusMeaningBody
401 Unauthorized RFC 9457 problem
404 Not Found RFC 9457 problem

Errors use the RFC 9457 problem format with a stable code.